<?php
if (!isset($_REQUEST['action']))
	$action = "afficher" ;
else
	$action = $_REQUEST['action'] ;

switch ($action)
{
    case 'afficher' :
    {
        $listeMarques = getLesMarques();
        require "vues/v_marque.php";
        break;
    }
    case 'ajouter' : 
    {
        require "vues/v_marque_ajouter.php";
        break;
    }
    case 'validajout' :
    {
        $libelle = $_POST['libelle'];
        $listeMarques = getLesMarques();
        require "vues/v_marque.php";
        if(marqueInsertion($libelle)){
            echo '<p style="color:green">La marque '.$libelle.' a bien été ajoutée</p><a href="index.php?uc=marque&action=ajouter">Retour</p>';
        }
        else{
            echo '<p style="color:red">La marque '.$libelle.' n\'a pas pû être ajoutée</p><a href="index.php?uc=marque&action=ajouter">Retour</p>';
        }
        break;
    }
    
    case 'modifier' :
    {
        $listeMarques = getLesMarques();
        require "vues/v_marque.php";
        break;
    }

    case 'validmodif' :
    {
        $nvLibelle = $_POST['nvLibelle'];
        $id = $_POST['id'];
        if(empty($nvLibelle)) {
            echo '<p style="color:red">Veuillez saisir une marque</p><a href="index.php?uc=marque">Retour</p>';
        }
        else if(marqueModification($nvLibelle,$id)){
            echo '<p style="color:green">La marque '.$nvLibelle.' a bien été modifiée</p><a href="index.php?uc=marque">Retour</p>'; 
        }
        else{
            echo '<p style="color:red">La marque '.$nvLibelle.' n\'a pas pû être modifiée</p><a href="index.php?uc=marque">Retour</p>';
        }
        break;
    }

    case 'supprimer' :
    {
        $listeMarques = getLesMarques();
        require "vues/v_marque.php";
        break;
    }

    case 'validsupprimer' :
    {
        marqueSuppression($_POST['id']);
        $listeMarques = getLesMarques();
        require "vues/v_marque.php";
        break;
    }
}
?>